
Figure - Bug #115218
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【MCU】通过E1烧写工厂版本FigureV0.0.5.mot后，再烧写正常的release版本，MCU
版本未进行升级
2023-01-10 20:45 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-10

Priority: High Due date: 2023-01-11

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0067.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 工厂版本改了MCU版本名称，从9个字节改成7个字节。我们代码里之前是用的9个字节判断，所以升级不了。

Description

【前提条件】

None

【测试步骤】

1、通过E1烧写MCU版本：FigureV0.0.5.mot

2、烧写后开机：执行adb shell getMcuVersion

3、通过Qfile烧写最新release版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0067.X101

4、烧机后通过*#149# 查看MCU版本

【预期结果】

2. 

figure:/ # getMcuVersion

Origin

4.设备自动重启升级MCU，app显示正常MCU版本：0.0.6

【实际结果】

2. 

figure:/ # getMcuVersion

Origin

4.设备不重启，app不显示版本，通过命令执行获得版本：

figure:/ # getMcuVersion

Origin

History

#1 - 2023-01-10 20:46 - 移动测试一组_CDTS 刘强

- File FigureV0.0.5.mot added

#2 - 2023-01-11 10:02 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from CD TPM-王祥林 to CD BSP-陈杰

#3 - 2023-01-11 10:29 - CD BSP-陈杰

- Assignee changed from CD BSP-陈杰 to CD TPM-王祥林
通过log分析如下：

01-10 03:25:56.854  2883  2983 D MCUUpdate: find 2 mcu version:figureAPP_V0.0.6_a.bin figureAPP_V0.0.6_b.bin

01-10 03:25:56.855   657   657 I mpu_uart: [TIME-:1]:create

01-10 03:25:56.866   657   667 V mpu_uart: send data buf:[0x3c, 0x7, 0x0, 0x11, 0xff, 0x82, 0x57, ], send_res=7

01-10 03:25:56.869   657   668 V mpu_uart: [MSG-P:SYNC]:sync resp:62

01-10 03:25:56.869   657   657 I mpu_uart: [TIME-:1]:delete

01-10 03:25:56.870  2883  2983 D MCUUpdate: Check MCU current version :res = 0

01-10 03:25:56.900   657   668 D mpu_uart: [MSG-P:R-M]:recved H:13, L:0

01-10 03:25:56.900   657   668 V mpu_uart: recv data buf:[0x3c, 0xd, 0x0, 0x0, 0xff, 0x82, 0x4f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x78, ]

01-10 03:25:56.901   657   669 D mpu_uart: [SESSION-Distribute]:Message en queue:ff

01-10 03:25:56.903  2883  2979 D MCUUpdate: MCU version: 79 length: 7

01-10 03:25:56.992  3514  3514 W hpplay-java: [main]:IPManager:getActiveNets invalid networkInfo:null

01-10 03:25:56.992  3514  3514 I hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

01-10 03:25:56.993  3514  3514 I hpplay-java: [main]:ServerTaskManager:get local ip:null

01-10 03:25:57.901   657   669 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

其中已经发现了mpu内部存在一个新的版本：MCUUpdate: find 2 mcu version:figureAPP_V0.0.6_a.bin figureAPP_V0.0.6_b.bin

然mpu也去下发了获取版本信息：mpu_uart: send data buf:[0x3c, 0x7, 0x0, 0x11, 0xff, 0x82, 0x57, ], send_res=7

MCU也返回了版本信息：mpu_uart: recv data buf:[0x3c, 0xd, 0x0, 0x0, 0xff, 0x82, 0x4f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x78, ]

但是MPU这边没有进行下一步的流程，进行发送bin文件的流程，升级流程出现了问题：

01-10 03:25:56.901   657   669 D mpu_uart: [SESSION-Distribute]:Message en queue:ff

01-10 03:25:56.903  2883  2979 D MCUUpdate: MCU version: 79 length: 7

在这里就完了，麻烦看一下是那儿出了问题，可否咨询一下hal层做串口处理的同事，上报到af的版本信息是否出错了。

#4 - 2023-01-11 18:04 - CD FW 曹覃刚

- Due date set to 2023-01-11

#5 - 2023-01-11 19:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175802 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:MCU-OTA:MCU won't update after flashing mot file.Since the version of mcu is changed from Original to Origin in mot file,so the length is changed from 9 to

7, but MCUUpdateService still usethe length 9 to judge, so it won't update if length is 7.We add length 7 in judgement to ensure mcu can update.TC-RID:

1201-0200401IssueID: TS-R-BUG-115218Change-Id: Ic832400054bc4355e644648ab7f3702ece99b395

#6 - 2023-01-12 10:49 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成

#7 - 2023-01-12 10:50 - CD TPM-王祥林

- Root cause set to 工厂版本改了MCU版本名称，从9个字节改成7个字节。我们代码里之前是用的9个字节判断，所以升级不了。

2025-07-04 2/4



#8 - 2023-01-17 15:17 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

#9 - 2023-01-17 15:29 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过

#10 - 2023-01-17 15:29 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#11 - 2023-01-19 09:54 - CD TPM-王祥林

- Resolution changed from -- to FIXED

#12 - 2023-03-10 13:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186557 general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com

AF:MCU-OTA:DebugTools can not read MCU after flashing mot file.Remove judgement of mcu version length to ensure mcu can update.TC-RID:

1201-0200401IssueID: TS-R-BUG-115218Change-Id: Ief785bae290345464ddf23e9738a07bd2f857a37

#13 - 2023-03-10 14:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186556 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com

AF:MCU-OTA:DebugTools can not read MCU after flashing mot file.Remove judgement of mcu version length to ensure mcu can update.TC-RID:

1201-0200401IssueID: TS-R-BUG-115218Change-Id: Ifcf2a0184012f396a14212593d163753ebf5009e

#14 - 2023-03-14 19:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185698 general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:MCU-OTA:DebugTools can not read MCU after flashing mot file.Remove judgement of mcu version length to ensure mcu can update.TC-RID:
1201-0200401IssueID: TS-R-BUG-115218Change-Id: Ief785bae290345464ddf23e9738a07bd2f857a37

#15 - 2023-03-14 22:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185697 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:MCU-OTA:DebugTools can not read MCU after flashing mot file.Remove judgement of mcu version length to ensure mcu can update.TC-RID:

1201-0200401IssueID: TS-R-BUG-115218Change-Id: Ifcf2a0184012f396a14212593d163753ebf5009e

Files

logcat.txt 3.18 MB 2023-01-10 移动测试一组_CDTS 刘强

tlog.zip 143 KB 2023-01-10 移动测试一组_CDTS 刘强

FigureV0.0.5.mot 297 KB 2023-01-10 移动测试一组_CDTS 刘强
